### Constructor

# ICalGLib VcardProperty new_clientpidmap

since: 4.0

#### Declaration [src]

    ICalVcardProperty*
    i_cal_vcard_property_new_clientpidmap (
      const ICalVcardStrArray* value
    )

#### Description [src]

Creates a new `ICalVcardProperty` holding CLIENTPIDMAP.

Note: this uses a copy of the string array, not the one stored in the `value`.

Available since: 4.0

#### Parameters

`value`

  Type: `const ICalVcardStrArray`

  The string array as a value for the new ICalVcardProperty holding CLIENTPIDMAP.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalVcardProperty`

A new `ICalVcardProperty` holding CLIENTPIDMAP.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.